org.apache.hc.client5.http

## Class ConnectTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.InterruptedIOException
        - - java.net.SocketTimeoutException
          - - org.apache.hc.client5.http.ConnectTimeoutException

- All Implemented Interfaces:
    Serializable

      public class ConnectTimeoutException
      extends SocketTimeoutException

  A timeout while connecting to an HTTP server or waiting for an available connection from a connection manager.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.io.InterruptedIOException

      `bytesTransferred`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectTimeoutException(String message)` Creates a ConnectTimeoutException with the specified detail message.
    `ConnectTimeoutException(String message, org.apache.hc.core5.net.NamedEndpoint namedEndpoint)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hc.core5.net.NamedEndpoint` | `getHost()` Gets the named endpoint.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectTimeoutException

          public ConnectTimeoutException(String message)

      Creates a ConnectTimeoutException with the specified detail message.
      Parameters:
        `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).

    - #### ConnectTimeoutException

          public ConnectTimeoutException(String message,
                                         org.apache.hc.core5.net.NamedEndpoint namedEndpoint)

  - ### Method Detail

    - #### getHost

          public org.apache.hc.core5.net.NamedEndpoint getHost()

      Gets the named endpoint.
      Returns:
        the named endpoint, may be `null`.
      Since:
        5.0

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.